Bug#887967: [Pkg-pascal-devel] Bug#887967 closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Graham Inggs
On 7 March 2018 at 20:47, Paul Gevers wrote: >>> This can be worked around by the following change in debian/rules: >>> >>> -export FPCDIR=/usr/lib/fpc/${FPCDIR} >>> +export FPCDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/fpc/default > > @Graham, have you verified this? It worked for in

Bug#864184: Raising severity

2018-03-07 Thread Tollef Fog Heen
severity 864184 serious thanks This basically makes noping completely useless, so I'm raising this to RC. I'm happy to upload an NMU if you're busy. Cheers, -- Tollef Fog Heen UNIX is user friendly, it's just picky about who its friends are

Bug#892285: /usr/bin/fpcmake: fpcmake should find units in Debian without fiddling with FPCDIR

2018-03-07 Thread Paul Gevers
Package: fp-utils-3.0.4 Version: 3.0.4+dfsg-15 Severity: normal File: /usr/bin/fpcmake -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 fpcmake doesn't work out of the box in Debian (maybe since the multiarch changes, but I am not sure about that). E.g. in the Lazarus source tree I get this:

Bug#861649: Newer version uploaded

2018-03-07 Thread Tobias Frost
Control: tags -1 moreinfo On Tue, 06 Mar 2018 16:24:53 +0100 Gard Spreemann > Upstream provided a patch that fixes this. I've updated > > https://mentors.debian.net/debian/pool/main/g/gudhi/gudhi_2.1.0+dfsg -1.dsc Thanks! But the lintian stuff I complained about is

Bug#887967: [Pkg-pascal-devel] Bug#887967 closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Paul Gevers
Hi all, On 07-03-18 18:28, Michalis Kamburelis wrote: > "2018-03-07 16:46 GMT+01:00 Graham Inggs : >> On Tue, 23 Jan 2018 08:46:09 +0200 Adrian Bunk wrote: >>> >>> This problem is unfortunately still present with fpc 3.0.4+dfsg-14: >>> >>>

Bug#694068: netcfg: Wireless connectivity present during an install but absent afterwards

2018-03-07 Thread Brian Potkin
On Tue 06 Mar 2018 at 11:07:59 +1100, Trent W. Buck wrote: > Brian Potkin wrote: > > The number of users affected by this issue over the years is not > > insignificant. Not a single one has written in support of the > > situation. > > This issue has bitten me at least twice so far. > > This

Bug#892284: ITP: ChromHMM -- Chromatin state discovery and characterization

2018-03-07 Thread Dylan Aïssi
Package: wnpp Severity: wishlist Owner: Debian Med Packaging Team Package name: chromhmm URL: http://compbio.mit.edu/ChromHMM/ License: GPL-3+ Description: Chromatin state discovery and characterization ChromHMM is software for learning and

Bug#887967: [Pkg-pascal-devel] Bug#887967 closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Paul Gevers
Hi Additional note, I got the same error¹ on debomatic² while debugging the FTBFS of lazarus on mips/mipsel. Interestingly enough the exact same source build succeeded on the build infrastructure. So maybe something flaky IS going on. Paul ¹ find * -name Makefile.fpc -exec fpcmake -Tall -q '{}'

Bug#892286: RFP: python3-aiosasl -- pure python generic asyncio SASL library

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: python3-aiosasl Version : v0.3.1 Upstream Author : Jonas Wielicki * URL : https://github.com/horazont/aiosasl * License : LGPL3 Programming Lang: Python Description : pure python

Bug#892108: Patch for several FTBFS

2018-03-07 Thread Frédéric Bonnard
Package: src:nim Version: 0.18.0-1 Tags: patch pending User: debian-powe...@lists.debian.org Usertags: ppc64el -- Dear maintainer, I see that the package nim fails to build on ppc64el : https://buildd.debian.org/status/fetch.php?pkg=nim=ppc64el=0.18.0-1=1520093894=0 but also on arm64 and

Bug#855251: easytag corrupt ogg files

2018-03-07 Thread Tobias Brink
Package: easytag Version: 2.4.3-1 Followup-For: Bug #855251 Could you please also push the update disabling OGG support to stable? I seem to have corrupted who knows how many files over the last weeks. This is especially insidious, since the corrupted files still work in some media players, but

Bug#889233: Pending fixes for bugs in the golang-github-joho-godotenv package

2018-03-07 Thread pkg-go-maintainers
tag 889233 + pending thanks Some bugs in the golang-github-joho-godotenv package are closed in revision 8d5c05cf0f0aff192384a3447c87e11ebdf5aeef in branch 'master' by Dr. Tobias Quathamer The full diff can be seen at

Bug#892272: libopenmpt0: segfaults with memcopy if loaded from external application

2018-03-07 Thread Fabian Greffrath
Am Mittwoch, den 07.03.2018, 09:32 -0500 schrieb s3rj1k: > Using this shared library with external application creates segfault > with memcopy related functions. Since you are mentioning memcpy(), maybe the code calls it with overlapping source and destination pointers and -O3 optimizes this to

Bug#890665: Bug #890665

2018-03-07 Thread gpe
Le mardi 06 mars 2018 à 11:07 +0200, Jonathan Carter (highvoltage) a écrit : > Hi > > Does this still happen on your system? > > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890665 > > I just enabled it on my unstable system and it seems to load both the > extension and it's settings

Bug#891126: python-proliantutils: FTBFS with TypeError: refresh() got an unexpected keyword argument 'force'

2018-03-07 Thread Thomas Goirand
Hi Andreas, Could you try again to build the package? I just did with sbuild, and it was building fine. Could it be that I wasn't finished uploading the rest of OpenStack to Sid? Cheers, Thomas Goirand (zigo)

Bug#892280: libcdk5: library package needs to be renamed for libncurses6 transition

2018-03-07 Thread Sven Joachim
Package: libcdk5 Version: 5.0.20161210-5 There is a new ncurses version in experimental which changes the soname of the libraries from 5 to 6. One notable change between libncurses5 and libncurses6 is that the "chtype" data type has changed from unsigned long to unsigned int. This affects the

Bug#892282: lcl-utils-1.8: /etc/lazarus-1.8/environmentoptions.xml doesn't point to new FPCSourceDirectory

2018-03-07 Thread Paul Gevers
Package: lcl-utils-1.8 Version: 1.8.2+dfsg-3 Severity: normal -BEGIN PGP SIGNED MESSAGE- Hash: SHA256 While looking into bug 887967, I noticed that /etc/lazarus-1.8/environmentoptions.xml doesn't mention the new location of FPCSourceDirectory yet. Paul - -- System Information: Debian

Bug#855198: Adding i386 support

2018-03-07 Thread Fabian Greffrath
Am Mittwoch, den 07.03.2018, 11:58 -0300 schrieb Ignacio Losiggio: > I know that not _every_ x86 machine has sse2 support but i think that > having a usable package for those who use x86 on post-2003 computers Why is an i386 package only usable if compiled with sse2 instructions? If you are

Bug#892283: RFP: python-pendulum -- Python datetimes made easy

2018-03-07 Thread Matt Zagrabelny
Package: wnpp Severity: wishlist * Package name: python-pendulum Version : 1.4.2 Upstream Author : Sébastien Eustace * URL : https://pendulum.eustace.io/ * License : MIT Programming Lang: Python Description : Python datetimes made

Bug#888515: debian-installer: UEFI boot menu (grub) misses the help screen

2018-03-07 Thread Samuel Thibault
Samuel Thibault, on mar. 06 mars 2018 19:13:45 +0100, wrote: > Samuel Thibault, on lun. 05 févr. 2018 10:31:40 +0100, wrote: > > I have reported the feature request to http://savannah.gnu.org/bugs/?53065 > > Here is an answer: > > “ > the solution which is available atm is: > > set pager=1 >

Bug#892281: gcc: make PIE opt-out rather than opt-in

2018-03-07 Thread Helmut Grohne
Source: gcc-8 Version: 8-20180218-1 Severity: wishlist We have long transitioned to PIE by default on all release architectures now. Still each gcc-V package tracks the architectures that enable PIE by default in an opt-in list (pie_archs). Since it is the default, PIE is much better supported

Bug#890665: Bug #890665

2018-03-07 Thread gpe
Le mercredi 07 mars 2018 à 21:11 +0100, gpe a écrit : > Le mardi 06 mars 2018 à 11:07 +0200, Jonathan Carter (highvoltage) a écrit : > > Hi > > > > Does this still happen on your system? > > > > https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=890665 > > > > I just enabled it on my unstable

Bug#887873: linux-image-4.9.0-5-marvell: frequent "usercopy: kernel memory overwrite attempt detected" on QNAP NAS (ARM)

2018-03-07 Thread Menno Finlay-Smits
On Thu, 8 Mar 2018, at 02:36, Andrew Lunn wrote: > > What else can I try? > > Do you have transparent huge pages enabled? > > ~$ cat /sys/kernel/mm/transparent_hugepage/enabled > [always] madvise never > > If so, could you disable it with: > > echo never >

Bug#892287: RFP: python3-aioopenssl -- OpenSSL transport for asyncio

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: python3-aioopenssl Version : v0.3.1 Upstream Author : Jonas Wielicki * URL : https://github.com/horazont/aioopenssl * License : Apache Programming Lang: Python Description : OpenSSL

Bug#892288: arrayfire FTBFS on i386: test segfaults

2018-03-07 Thread Adrian Bunk
Source: arrayfire Version: 3.3.2+dfsg1-4 Severity: serious Tags: buster sid https://tests.reproducible-builds.org/debian/rb-pkg/unstable/i386/arrayfire.html ... 98% tests passed, 2 tests failed out of 95 Total Test time (real) = 53.16 sec The following tests FAILED: 4 -

Bug#892299: RFP: libjs-strophejs.mam -- Plugin for strophe.js to provide Message Archiving Management (XEP-0313)

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: libjs-strophejs.mam Version : 0.0.3 Upstream Author : "The strophe plugin developers" * URL : https://github.com/strophe/strophejs-plugin-mam * License : MIT Programming Lang: JavaScript Description :

Bug#887873: linux-image-4.9.0-5-marvell: frequent "usercopy: kernel memory overwrite attempt detected" on QNAP NAS (ARM)

2018-03-07 Thread Andrew Lunn
On Thu, Mar 08, 2018 at 09:49:29AM +1300, Menno Finlay-Smits wrote: > On Thu, 8 Mar 2018, at 02:36, Andrew Lunn wrote: > > > What else can I try? > > > > Do you have transparent huge pages enabled? > > > > ~$ cat /sys/kernel/mm/transparent_hugepage/enabled > > [always] madvise never > > > > If

Bug#891667: bash-completion: file wildcard (*) completion picks up only first match

2018-03-07 Thread Gabriel F. T. Gomes
On 27 Feb 2018, Christoph Anton Mitterer wrote: >When completing e.g. >$ ls * > >then * doesn't become all the files (not starting with a .), but >instead only one of the files in the directory. > >This bug exists now since quite a while, and other bug reports, seem to >include the reason

Bug#892298: RFP: libjs-strophe.chatstates -- Strophe.js plugin for chat state notifications (XEP-0085)

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: libjs-strophe.chatstates Version : v0.0.1 Upstream Author : Klaus Herberth ? * URL : https://github.com/strophe/strophejs-plugin-chatstates * License : MIT Programming Lang: JavaScript

Bug#892272:

2018-03-07 Thread Michael Jerris
confirmed steps to reproduce the issue in the simplest way: # ulimit -s 240 && openmpt123 Segmentation fault

Bug#892302: libpam-systemd: Does not recgonize serial consoles as part of a seat

2018-03-07 Thread Matthew Gabeler-Lee
Package: libpam-systemd Version: 232-25+deb9u1 Severity: normal Various policykit actions that flag as for "active" or even "inactive", but not "any", do not work from serial console sessions. After much pain, I'm fairly sure I've traced this down to libpam-systemd not marking serial logins as

Bug#891667: bash-completion: file wildcard (*) completion picks up only first match

2018-03-07 Thread Christoph Anton Mitterer
Hey Gabriel On Wed, 2018-03-07 at 21:44 -0300, Gabriel F. T. Gomes wrote: > While I understand that this patch in launchpad fixes the reported > behaviour, I don't understand why upstream did not want to accept it. > Could there be unintended/undesired side-effects? Uhm.. to be honest I haven't

Bug#892289: RFP: libjs-jingle -- Generic Jingle via WebRTC session manager

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: libjs-jingle Version : v3.0.3 Upstream Author : Lance Stout * URL : https://github.com/otalk/jingle.js * License : MIT Programming Lang: JavaScript Description : Generic Jingle via

Bug#892228: libsphinxbase3: Causes pocketsphinx to FTBFS on 64-bit big-endian architectures (fills testsuite logs on disk with errors)

2018-03-07 Thread Samuel Thibault
Hello, James Clarke, on mer. 07 mars 2018 00:33:05 +, wrote: > The build for pocketsphinx fails on 64-bit big-endian architectures, I know, I had already reported the issue a long time ago, without feedback. > failing with "No space left on device", as the testsuite log files > fill up with

Bug#890449: RFS: engauge-digitizer/10.4+ds.1-2

2018-03-07 Thread Tobias Winchen
Hi, On Saturday 3 March 2018 22:24:22 CET Adam Borowski wrote: > I'm afraid that you've forgotten to bump the dependency on debhelper to >= > 10~. While only oldstable has an older version, there's no point in making > it harder to users when it's so trivial to fix. Having the dependency >

Bug#892296: gridengine-qmon: qmon fails to start, as it cannot load pixmaps

2018-03-07 Thread Francesco Poli (wintermute)
Package: gridengine-qmon Version: 8.1.9+dfsg-4 Severity: important Dear Debian HPC Team, I think I found a bug in the gridengine-qmon Debian package. The qmon program fails to start: $ qmon Warning: Cannot convert string "intro" to type Pixmap Can't load icon 21cal. Pixmaps should

Bug#887967: closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Abou Al Montacir
On Wed, 2018-03-07 at 18:28 +0100, Paul Gevers wrote: > Hi Graham, > > On 07-03-18 16:46, Graham Inggs wrote: > > On Tue, 23 Jan 2018 08:46:09 +0200 Adrian Bunk wrote: > > > This problem is unfortunately still present with fpc 3.0.4+dfsg-14: > > >

Bug#892297: evince-common: Please add Multi-Arch: foreign

2018-03-07 Thread Elrond
Package: evince-common Version: 3.26.0-3 Severity: wishlist Hi, It looks like evince-common offers an architecture independent (data/translations level) interface to its users. Would you mind setting it to Multi-Arch: foreign? It's usually a matter of adding one line to debian/control. This

Bug#892272:

2018-03-07 Thread Michael Jerris
The problem appears to be a large stack allocation in a static initializer when using constrained stack sizes. This issue appears to be fixed in upstream openmpt, we are testing a back port of this patch now to confirm. it appears the optimizer changes this from a stack allocation at -O3, but

Bug#872057: (no subject)

2018-03-07 Thread Florian Schmidt
This is due to a change in the behavior of tar's --no-recursion option. In either 1.28 or 1.29, it was changed to only apply to all options *following* it. Since the flexbackup command line has --files-from before --no-recursion, the --no-recursion is effectively ignored. (See also bug

Bug#883218: RFS: elpy/1.17.0-1 [ITP]

2018-03-07 Thread Nicholas D Steeves
Updated. See below for changes. The most important changes: new upstream version, now supports dh-elpa self-tests and autotests, and installs manpage generated with sphinxdoc. On Thu, Nov 30, 2017 at 03:46:06PM -0500, Nicholas D Steeves wrote: > Package: sponsorship-requests > Severity:

Bug#892259: lpc21isp: Request to patch in order to add support for LPC40XX devices

2018-03-07 Thread Cristiano Rodrigues
Hi Agustin, Here it is the patch (4th time I'm trying to send it) I sent a message to "capiman" today, but it seems that there is no activity from him for about 4 years. Since we have lpctools, I don't know if to maintain lpc21isp is the best solution (unless the the author wants to bring it

Bug#884177: devscripts: debsnap --list should not complain about existing destdir

2018-03-07 Thread Hilko Bengen
* Pierre-Elliott Bécue: > Thanks for the report, your patch has been merged in the repository > and will be part of the next release. :) Great, thank you! Cheers, -Hilko

Bug#892272: libopenmpt0: segfaults with memcopy if loaded from external application

2018-03-07 Thread Серж ИвановЪ
The issue can be fixed using 2 upstream patches: https://github.com/OpenMPT/openmpt/commit/6f8f7be5848be8c4487b1779c332b802674f6747.patch https://github.com/OpenMPT/openmpt/commit/133007530cbe737f4b56db907aa6baee0ea5b17d.patch applied to sources in this order, after recompile no segmentation

Bug#891958: Please revert v5 rename

2018-03-07 Thread Simon Quigley
Hello, On 03/05/2018 02:23 PM, Mattia Rizzolo wrote: > Why would you ever go through this PITA process? > > What are you trying to accomplish by forcing a rename? I guess it's up to the maintainer. But I wanted to point it out and suggest they do something about it. Thanks. -- Simon Quigley

Bug#891667: bash-completion: file wildcard (*) completion picks up only first match

2018-03-07 Thread Gabriel F. T. Gomes
On 08 Mar 2018, Christoph Anton Mitterer wrote: >At least I think to remember that this wasn't always buggy... it only >happened in to investigate ^^>. If you do not source bash_completion, then these completions work as you expect. So maybe you didn't have bash-completion installed? >I cannot

Bug#892293: paraview: errors when saving animations as AVI files [regression]

2018-03-07 Thread Francesco Poli (wintermute)
Package: paraview Version: 5.4.1+dfsg3-1+b2 Severity: important Dear paraview Debian package maintainers, I've just found a regression. In a nutshell, version 5.4.1 fails to save animations as AVI files (while version 5.1.2 was perfectly capable of doing so). Other animation formats (OGV, PNG

Bug#861616: closed by Nicolas Boulenguez <nico...@debian.org> (Bug#861616: fixed in gnat-gps 17.0.2017-1~exp1)

2018-03-07 Thread Thierry Rascle
Hi, Thank you for applying the gnatdoc.diff patch to gnat-gps-17.0.2017-1~exp1. Unfortunately, one of the changes was applied to the wrong line. I guess code duplication in gnatdoc-frontend.adb confused the patching tool. Please find attached a fixed gnatdoc.diff. (Note : I haven't been able

Bug#892295: jemalloc: Please add support for new architecture "riscv64" (RISC-V 64 bits little-endian)

2018-03-07 Thread Manuel A. Fernandez Montecelo
Source: jemalloc Version: 3.6.0-11 Severity: normal Tags: patch upstream fixed-upstream User: debian-ri...@lists.debian.org Usertags: riscv64 Forwarded: https://github.com/jemalloc/jemalloc/pull/1081 Hello, We need support in this package for RISC-V, to bootstrap the riscv64 architecture.

Bug#892294: contains browserified library strophe.jinglejs-bundle.js

2018-03-07 Thread W. Martin Borgert
Package: libjs-jsxc Version: 3.0.0+dfsg3-2 The file /usr/share/javascript/jsxc/lib/strophe.jinglejs/strophe.jinglejs-bundle.js should be packaged separately (#892291).

Bug#269990: fixed upstream

2018-03-07 Thread Salvo Tomaselli
This is fixed upstream, will be fixed in the next release. -- Salvo Tomaselli "Io non mi sento obbligato a credere che lo stesso Dio che ci ha dotato di senso, ragione ed intelletto intendesse che noi ne facessimo a meno." -- Galileo Galilei http://ltworf.github.io/ltworf/

Bug#892285: [Pkg-pascal-devel] Bug#892285: /usr/bin/fpcmake: fpcmake should find units in Debian without fiddling with FPCDIR

2018-03-07 Thread Abou Al Montacir
Hi, On Wed, 2018-03-07 at 21:29 +0100, Paul Gevers wrote: > Lazarus is defining FPCDIR in its d/rules file to prevent this > like:FPCDIR=/usr/share/fpcsrc/${FPCVER} > > Transgui is/was doing it like: > FPCDIR=/usr/lib/fpc/${FPCDIR} > > I believe neither should be needed. Also, which one of the

Bug#891915: Patch for Debian 10 (buster), it fixes the problem

2018-03-07 Thread Nrbrtx
Tags: patch I attached patch from ArchLinux AUR ( https://aur.archlinux.org/packages/xorg-server-bug865/, https://aur.archlinux.org/cgit/aur.git/tree/freedesktop-bug-865.patch?h=xorg-server-bug865 ). This patch is stable and reliable. ArchLinux users are happy with it. It fixes current bug on

Bug#892292: xpyb FTBFS with xcb-proto 1.13-1

2018-03-07 Thread Adrian Bunk
Source: xpyb Version: 1.3.1-1.1 Severity: serious Tags: buster sid https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/xpyb.html ... Making all in src make[3]: Entering directory '/build/1st/xpyb-1.3.1/build-python2.7/src' ln -s -f /usr/share/xcb/xproto.xml xproto.xml python2.7

Bug#892290: light-locker: at unlock, crash with: arguments to dbus_message_new_method_call() were incorrect

2018-03-07 Thread Stuart Pook
Package: light-locker Version: 1.8.0-1 Severity: grave Tags: security Justification: user security hole Dear Maintainer, Light-locker crashes when I unlock my session. This means that my session is not locked the next time it should be, When I run light-locker at the command line I see: %

Bug#892291: RFP: libjs-strophe.jinglejs -- webrtc connection plugin for strophe.js

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: libjs-strophe.jinglejs Version : v0.2.3 Upstream Author : Klaus Herberth * URL : https://github.com/jsxc/strophe.jinglejs * License : MIT Programming Lang: JavaScript Description : webrtc

Bug#892301: ucf with -n as first argument results in error

2018-03-07 Thread Ian Kelling
Package: ucf Version: 3.0038 repro steps: run with valid file arguments: # /usr/bin/ucf -n --debconf-ok /file1 /file2 *** ERROR: Need exactly two arguments, got 3 Debian GNU/Linux ucf Revision: 3.00

Bug#892272: libavformat/libopenmpt failure on dlopen

2018-03-07 Thread Michael Jerris
I’m still working on a complete stand alone example but the way to reproduce this is to dlopen a module that is linked to libavformat. It does not require any code at all related to libavformat to be executed at all, or any includes to libavformat, or anything at all related to apt, just the

Bug#892300: RFP: libjs-strophe.rsm -- Plugin for strophe.js providing Result Set Management (RSM) XEP-0059

2018-03-07 Thread W. Martin Borgert
Package: wnpp Severity: wishlist * Package name: libjs-strophe.rsm Version : 0.0.2 Upstream Author : "The strophe plugin developers" * URL : https://github.com/strophe/strophejs-plugin-rsm * License : MIT Programming Lang: JavaScript Description :

Bug#892228: libsphinxbase3: Causes pocketsphinx to FTBFS on 64-bit big-endian architectures (fills testsuite logs on disk with errors)

2018-03-07 Thread James Clarke
On 7 Mar 2018, at 21:39, Samuel Thibault wrote: > > Hello, > > James Clarke, on mer. 07 mars 2018 00:33:05 +, wrote: >> The build for pocketsphinx fails on 64-bit big-endian architectures, > > I know, I had already reported the issue a long time ago, without >

Bug#891667: bash-completion: file wildcard (*) completion picks up only first match

2018-03-07 Thread Gabriel F. T. Gomes
On 07 Mar 2018, Gabriel F. T. Gomes wrote: >On 27 Feb 2018, Christoph Anton Mitterer wrote: > >>https://bugs.launchpad.net/ubuntu/+source/bash-completion/+bug/1387057 > >While I understand that this patch in launchpad fixes the reported >behaviour, I don't understand why upstream did not want

Bug#819589: RFP: python3-aioxmpp -- pure-python XMPP library using the asyncio standard library module

2018-03-07 Thread W. Martin Borgert
slixmpp is similar to aioxmpp, but the API seems to be different. A program written for one library will not work with the other. I.e. poezio needs slixmpp, but jabbercat needs aioxmpp.

Bug#891360: closed by Thomas Goirand <z...@debian.org> (Fixed in 2.8.0-1)

2018-03-07 Thread Adrian Bunk
Control: reopen -1 On Wed, Mar 07, 2018 at 08:33:04PM +, Debian Bug Tracking System wrote: >... > Date: Wed, 7 Mar 2018 21:30:38 +0100 > From: Thomas Goirand > To: 891360-d...@bugs.debian.org > Subject: Fixed in 2.8.0-1 > > Hi, > > Likely, you've built this when I was in

Bug#662794: nmudiff: Please, add a non-dd template for those who can not upload NMUs

2018-03-07 Thread Pierre-Elliott Bécue
Dear Mònica, Six years. That's really a long time span. I answer to your email address (I'll see if a bounce comes back) because you submitted this bug, and I'm currently giving a try at reviewing & including the patches submitted by the users. Maybe you do not really care anymore about this

Bug#892272:

2018-03-07 Thread Michael Jerris
Confirmed its the same linking to JUST libopenmpt, without libavformat

Bug#806256: libpam-systemd: log out from a TTY and your X input devices get lost!

2018-03-07 Thread Michael Biebl
Am 25.11.2015 um 22:20 schrieb Francesco Poli (wintermute): > Package: libpam-systemd > Version: 228-2 > Severity: normal > > Hello, > I noticed a weird bug that is possibly caused by libpam-systemd. > > Steps to reproduce (on a box with systemd as PID 1 process): > > 0) login on TTY1

Bug#884177: devscripts: debsnap --list should not complain about existing destdir

2018-03-07 Thread Pierre-Elliott Bécue
Hi, Thanks for the report, your patch has been merged in the repository and will be part of the next release. :) -- Pierre-Elliott Bécue GPG: 9AE0 4D98 6400 E3B6 7528 F493 0D44 2664 1949 74E2 It's far easier to fight for one's principles than to live up to them. signature.asc Description:

Bug#875576: Pending fixes for bugs in the java-gnome package

2018-03-07 Thread pkg-java-maintainers
tag 875576 + pending thanks Some bugs in the java-gnome package are closed in revision 638eaf7440cafd74425bc6eedf94d95ebe6da425 in branch 'master' by Emmanuel Bourg The full diff can be seen at https://anonscm.debian.org/cgit/pkg-java/java-gnome.git/commit/?id=638eaf7 Commit message: No

Bug#875591: Pending fixes for bugs in the jxplorer package

2018-03-07 Thread pkg-java-maintainers
tag 875591 + pending thanks Some bugs in the jxplorer package are closed in revision 6f2039a7fe77f04ec60d78d58c9b8a8899778949 in branch 'master' by Emmanuel Bourg The full diff can be seen at https://anonscm.debian.org/cgit/pkg-java/jxplorer.git/commit/?id=6f2039a Commit message: Fixed the

Bug#892302: libpam-systemd: Does not recgonize serial consoles as part of a seat

2018-03-07 Thread Michael Biebl
On Wed, 07 Mar 2018 19:05:13 -0500 Matthew Gabeler-Lee wrote: > Package: libpam-systemd > Version: 232-25+deb9u1 > Severity: normal > > Various policykit actions that flag as for "active" or even "inactive", but > not "any", do not work from serial console sessions. After

Bug#874155: FTBFS with Java 9: overrides core packages

2018-03-07 Thread Andreas Tille
Control: tags -1 help Control: tags -1 upstream Control: forwarded -1 Stephen Smith On Sun, Sep 03, 2017 at 09:43:44PM +0200, Andreas Tille wrote: > Hi Stephen, > > could you please have a look. > > Kind regards > > Andreas. > > On Sun, Sep 03, 2017 at 05:21:19PM

Bug#877469: node-websocket: sourceful upload needed for the nodejs-abi-48 transition

2018-03-07 Thread peter green
I just tried to do a no-change rebuild of node-websocket in a sid chroot. Unfortunately it failed with. node-gyp clean module.js:538 throw err; ^ Error: Cannot find module 'graceful-fs' at Function.Module._resolveFilename (module.js:536:15) at Function.Module._load

Bug#892307: regression: man: completion breaks when MANPATH is set with colons

2018-03-07 Thread Paul Wise
Package: bash-completion Version: 1:2.7-1 Severity: important File: /usr/share/bash-completion/completions/man Usertags: regression Tags: patch I have a manual page path set to some additional manuals. I set MANPATH to include a final colon so that man will append its default set of paths to the

Bug#892309: groff: crash (SIGSYS) when running `man man | head -n1`

2018-03-07 Thread Paul Wise
Package: groff-base Version: 1.22.3-10 Severity: normal File: /usr/bin/groff Usertags: crash I get a crash (SIGSYS) in groff when running `man man | head -n1`. If the below output and backtrace are not useful, please close this bug. This is unaffected by my setting of MANPATH, MALLOC_CHECK_ &

Bug#892310: regression: which-pkg-broke: completion no longer works

2018-03-07 Thread Paul Wise
Package: bash-completion,debian-goodies Version: 1:2.7-1 Severity: important File: /usr/share/bash-completion/completions/debian-goodies.pkgnames Usertags: regression The recent upgrade of bash-completion broke completion of package names in the which-pkg-broke command from debian-goodies. It

Bug#808802: Estimado usuario

2018-03-07 Thread Webmaster
Estimado usuario Su buzón de correo ha superado el límite de almacenamiento de 20 GB configurado por el administrador, que se está ejecutando en 20.9 es, no se puede enviar ni recibir mensajes nuevos hasta que varify el buzón. Vuelva a validar su cuenta por correo, por favor llene y envíe los

Bug#892252: src:python-bleach: URI values with character entities not properly sanitized

2018-03-07 Thread Salvatore Bonaccorso
Control: retitle -1 python-bleach: CVE-2018-7753: URI values with character entities not properly sanitized Hi Scott, On Wed, Mar 07, 2018 at 02:09:14AM -0500, Scott Kitterman wrote: > Package: src:python-bleach > Version: 2.1.2-1 > Severity: important > Tags: upstream, security > > > Version

Bug#892306: Useless on a terminal with light background

2018-03-07 Thread martin f krafft
Package: vit Version: 1.2-4 Severity: normal The hard-coded colourscheme makes the tool useless in a terminal with a light background, unfortunately. Most entries are just white-on-white. It would be great to have a switch like --light to invert the colourscheme. -- System Information: Debian

Bug#891831: chromium: VP9 isnt present in Chromium

2018-03-07 Thread Sanjeev
Didnt even notice this, maybe missing compilation flag? pgpf3B4biOdu7.pgp Description: OpenPGP digital signature

Bug#892311: nlc: FTBFS on various architectures

2018-03-07 Thread Bas Couwenberg
Source: ncl Version: 6.4.0-8 Severity: serious Justification: makes the package in question unusable or mostly so Control: block 891966 by -1 Dear Maintainer, The fix for #892154 actually made the situation worse, ncl now FTBS on many more architectures, see:

Bug#662794: nmudiff: Please, add a non-dd template for those who can not upload NMUs

2018-03-07 Thread Mattia Rizzolo
On Wed, Mar 07, 2018 at 11:41:08PM +0100, Pierre-Elliott Bécue wrote: > In the other cases, it only adds a tag pending, which is not in > contradiction with not being a DD, as a pending tag only means that the > changes are included in the package's vcs and will be included in the next > release.

Bug#892303: codespell: pathname to default dictionary in codespell(1) man page is incorrect

2018-03-07 Thread Vincent Lefevre
Package: codespell Version: 1.11.0-1 Severity: normal The codespell(1) man page contains: -D FILE, --dictionary=FILE Custom dictionary file that contains spelling correc‐ tions. If this flag is not specified or equals "-" then default

Bug#892304: lintian: Warn about "old" X-Python3-Version fields?

2018-03-07 Thread Chris Lamb
Package: lintian Version: 2.5.77 Severity: wishlist Hi, Should we warn about "old" X-Python3-Version fields? For example, I just saw a new package from a sponsee with: X-Python3-Version: >= 3.2 This seems a little silly given that 3.2 is only in wheezy, jessie has 3.4 and stretch has 3.5.

Bug#892305: ITP: goval-parser -- OVAL parser written in go

2018-03-07 Thread Nobuhiro Iwamatsu
Package: wnpp Severity: wishlist Owner: Nobuhiro Iwamatsu * Package name: goval-parser Version : 0.0~git20170813.0.0a0be1d Upstream Author : Yasunari Momoi * URL : https://github.com/ymomoi/goval-parser.git * License : BSD 2-Clause License

Bug#892308: kmail displays a rectangle from the background after it has been running for a while

2018-03-07 Thread Russell Coker
Package: kmail Version: 4:17.08.3-2 Severity: normal On 2 systems, a workstation with an AMD video card and a laptop with built in Intel video I have Kmail displaying a rectangle of the background after it has been running for a while. I will attach screen shots after the bug number has been

Bug#892255: lintian: orig-tarball-missing-upstream-signature with signed .tar

2018-03-07 Thread Chris Lamb
tags 892255 + pending thanks Fixed in Git, pending upload: https://anonscm.debian.org/git/lintian/lintian.git/commit/?id=d951d71b164f99c287c4e244eaa15f306e7cb703 Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org / chris-lamb.co.uk `-

Bug#612509: Bug#684115: Any news on relaxing to only suggest wildmidi-config?

2018-03-07 Thread Fabian Greffrath
repoen 612509 reopen 684115 thanks Erm, no! Please don't run around closing Debian bugs, just because a minimal Ubuntu install is now available that is even smaller. The issue behind these reports is still not fixed. Please close bugs only when they are fixed in Debian. Thanks! - Fabian

Bug#892312: O: gtkorphan -- A graphical tool to find and remove orphaned libraries

2018-03-07 Thread Tobias Frost
Package: wnpp The current maintainer of gtkorphan, Fabio Marzocca , is apparently not active anymore. Therefore, I orphan this package now. Maintaining a package requires time and skills. Please only adopt this package if you will have enough time and attention to work on

Bug#876916: Updating the bum Uploaders list

2018-03-07 Thread Tobias Frost
On Wed, 27 Sep 2017 19:29:20 +0200 Tobias Frost wrote: > Hallo Fabio, > > On Wed, Sep 27, 2017 at 09:50:59AM +0200, Fabio Marzocca wrote: > > Hi, > > > > I don't hear Federico from years and I am no more maintaning BUM. > > Would be glad to find another one to step in.. > > in

Bug#892313: O: bum -- graphical runlevel editor

2018-03-07 Thread Tobias Frost
Package: wnpp The current maintainer of bum, Fabio Marzocca , is apparently not active anymore. Therefore, I orphan this package now. Maintaining a package requires time and skills. Please only adopt this package if you will have enough time and attention to work on it.

Bug#892285: [Pkg-pascal-devel] Bug#892285: Bug#892285: /usr/bin/fpcmake: fpcmake should find units in Debian without fiddling with FPCDIR

2018-03-07 Thread Paul Gevers
Hi Abou, On 07-03-18 22:57, Abou Al Montacir wrote: > On Wed, 2018-03-07 at 21:29 +0100, Paul Gevers wrote: >> Lazarus is defining FPCDIR in its d/rules file to prevent this like: >> FPCDIR=/usr/share/fpcsrc/${FPCVER} >> >> Transgui is/was doing it like: >> FPCDIR=/usr/lib/fpc/${FPCDIR} >> >> I

Bug#892279: fai-setup-storage gets BOOT_DEVICE wrong when /boot is in lvm-on-md

2018-03-07 Thread Matthew Vernon
package: fai-setup-storage version: 5.5.3 X-Debbugs-CC: l...@sanger.ac.uk Hi, If you have a disk config like the below, with a single / partition (i.e. no separate /boot) on LVM on md-raid, then BOOT_DEVICE is set incorrectly, such that the fai GRUB setup scripts won't manage to install GRUB

Bug#887967: [Pkg-pascal-devel] Bug#887967 closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Michalis Kamburelis
"2018-03-07 16:46 GMT+01:00 Graham Inggs : > On Tue, 23 Jan 2018 08:46:09 +0200 Adrian Bunk wrote: >> >> This problem is unfortunately still present with fpc 3.0.4+dfsg-14: >> >> https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/transgui.html >

Bug#887967: [Pkg-pascal-devel] Bug#887967 closed by Abou Al Montacir <abou.almonta...@sfr.fr> (Bug#887967: fixed in fpc 3.0.4+dfsg-14)

2018-03-07 Thread Paul Gevers
Hi Graham, On 07-03-18 16:46, Graham Inggs wrote: > On Tue, 23 Jan 2018 08:46:09 +0200 Adrian Bunk wrote: >> This problem is unfortunately still present with fpc 3.0.4+dfsg-14: >> https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/transgui.html >> > > This can

Bug#892136: /usr/bin/loimpress: Libreoffice Impress sometimes silently deletes a slide from the presentation

2018-03-07 Thread Wojtek Zabolotny
On 07.03.2018 07:36, Rene Engelhard wrote: On Tue, Mar 06, 2018 at 03:44:00PM +0100, Wojtek Zabolotny wrote: On 06.03.2018 10:01, Rene Engelhard wrote: tag 892136 + moreinfo thanks Would you also file the same bug if people using vi would do 1dd or %y or so blindly in command mode and

Bug#890944: new packages should not receive emails before email alias is created

2018-03-07 Thread Raphael Hertzog
Hi, On Tue, 06 Mar 2018, Thorsten Alteholz wrote: > On Mon, 5 Mar 2018, Luca Falavigna wrote: > > OK. Can you please indicate which header is used to reference the > > source package when sending mails to dispatch@tracker.d.o? > > does [1] make sense for this? > [1]

Bug#891855: fonts-monoid: installs no less than 4000 font files!

2018-03-07 Thread Fabian Greffrath
Jan Claeys wrote: > Line height is usually not configurable in a terminal, and for > characters in e.g. the "Box Drawing" & "Block Elements" ranges there is > also the issue that they need to connect. That's probably why the > different styles exist? (I didn't check if they actually do that.)

Bug#892212: nmu: otb_6.4.0+dfsg-1

2018-03-07 Thread Emilio Pozuelo Monfort
On 06/03/18 20:35, Bas Couwenberg wrote: > Package: release.debian.org > Severity: normal > User: release.debian@packages.debian.org > Usertags: binnmu > > Please rebuild otb (6.4.0+dfsg-1) with ossim (2.3.0-1) in unstable. > > nmu otb_6.4.0+dfsg-1 . ANY . unstable . -m "Rebuild with

Bug#892068: codespell: Please package the new upstream version

2018-03-07 Thread Georg Faerber
Hi all, JFTR: Sylvestre Ledru is preparing the new upstream release and does the upload. @Sylvestre: Could you check, whether [1] and [2] are fixed by now (via upstream) or fix them yourself, if applicable? Thanks! Cheers, Georg [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=794321

Bug#862271: closed by Aron Xu <a...@debian.org> (Fixed in 0.6.5.10-1)

2018-03-07 Thread Vladislav Kurz
On 03/05/18 09:57, Debian Bug Tracking System wrote: > This has been addressed in 0.6.5.10-1 package, closing for now. Hello, I cannot see 0.6.5.10-1 in any archive. Is there any chance it will get into jessie-backports and stretch? -- Best Regards Vladislav Kurz

  1   2   >